Skip to content

Payment Due Terms ​

Part of the Accounts API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).

List payment due terms ​

GET /admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms

Retrieve a paginated list of payment due terms for a specific payment term

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
payment_term_idintegerYesThe payment term ID

Query parameters

ParameterTypeRequiredDescriptionExample
includestringNoComma-separated list of relationships to include. Available options: paymentTerm, creatorpaymentTerm
filter[id]stringNoComma-separated list of IDs to filter by
filter[value]stringNoFilter by value type
filter[delay_type]stringNoFilter by delay type
sortstringYesSort fieldcreated_at
pageintegerYesPage number1
bash
curl -X GET "https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms?include=paymentTerm&sort=created_at&page=1" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms?include=paymentTerm&sort=created_at&page=1", {
  method: "GET",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms?include=paymentTerm&sort=created_at&page=1', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms?include=paymentTerm&sort=created_at&page=1"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": [
    {
      "id": 1,
      "value": "percent",
      "value_amount": "100.0000",
      "delay_type": "days_after",
      "nb_days": 0,
      "days_next_month": "10",
      "payment_id": 1,
      "creator_id": 1,
      "created_at": "2026-10-09T09:50:40.000000Z",
      "updated_at": "2026-10-09T09:50:40.000000Z"
    },
    {
      "id": 1,
      "value": "percent",
      "value_amount": "100.0000",
      "delay_type": "days_after",
      "nb_days": 0,
      "days_next_month": "10",
      "payment_id": 1,
      "creator_id": 1,
      "created_at": "2026-10-09T09:50:40.000000Z",
      "updated_at": "2026-10-09T09:50:40.000000Z"
    }
  ],
  "links": {
    "first": "/?page=1",
    "last": "/?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "links": [
      {
        "url": null,
        "label": "&laquo; Previous",
        "page": null,
        "active": false
      },
      {
        "url": "/?page=1",
        "label": "1",
        "page": 1,
        "active": true
      },
      {
        "url": null,
        "label": "Next &raquo;",
        "page": null,
        "active": false
      }
    ],
    "path": "/",
    "per_page": 10,
    "to": 2,
    "total": 2
  }
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Create payment due term ​

POST /admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms

Create a new payment due term for a specific payment term

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
payment_term_idintegerYesThe payment term ID

Body parameters

ParameterTypeRequiredDescription
valuestringYesDue term value type.
value_amountnumberYesValue amount (percentage or fixed amount). Must be at least 0. Must not be greater than 100.
delay_typestringYesDelay type.
nb_daysintegerYesNumber of days. Must be at least 0.
days_next_monthintegerNoDay of next month (1-31). Must be at least 1. Must not be greater than 31.
bash
curl -X POST "https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "percent",
  "value_amount": 100,
  "delay_type": "days_after",
  "nb_days": 30,
  "days_next_month": 15
}'
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms", {
  method: "POST",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "value": "percent",
  "value_amount": 100,
  "delay_type": "days_after",
  "nb_days": 30,
  "days_next_month": 15
}),
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
    'json' => [
    'value' => 'percent',
    'value_amount' => 100,
    'delay_type' => 'days_after',
    'nb_days' => 30,
    'days_next_month' => 15,
  ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

payload = {
    "value": "percent",
    "value_amount": 100,
    "delay_type": "days_after",
    "nb_days": 30,
    "days_next_month": 15,
}

response = requests.post(url, headers=headers, json=payload)

data = response.json()
print(data)

Example response 201

json
{
  "data": {
    "id": 1,
    "value": "percent",
    "value_amount": "100.0000",
    "delay_type": "days_after",
    "nb_days": 0,
    "days_next_month": "10",
    "payment_id": 1,
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z"
  },
  "message": "Payment due term created successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Show payment due term ​

GET /admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}

Retrieve a specific payment due term by its ID

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
payment_term_idintegerYesThe payment term ID
idintegerYesThe payment due term ID

Query parameters

ParameterTypeRequiredDescriptionExample
includestringNoComma-separated list of relationships to include. Available options: paymentTerm, creatorpaymentTerm
bash
curl -X GET "https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}?include=paymentTerm" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}?include=paymentTerm", {
  method: "GET",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}?include=paymentTerm', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}?include=paymentTerm"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "value": "percent",
    "value_amount": "100.0000",
    "delay_type": "days_after",
    "nb_days": 0,
    "days_next_month": "10",
    "payment_id": 1,
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z"
  }
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Update payment due term ​

PUT /admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}

Update an existing payment due term

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
payment_term_idintegerYesThe payment term ID
idintegerYesThe payment due term ID

Body parameters

ParameterTypeRequiredDescription
valuestringNoDue term value type.
value_amountnumberNoValue amount (percentage or fixed amount). Must be at least 0. Must not be greater than 100.
delay_typestringNoDelay type.
nb_daysintegerNoNumber of days. Must be at least 0.
days_next_monthintegerNoDay of next month (1-31). Must be at least 1. Must not be greater than 31.
bash
curl -X PUT "https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "percent",
  "value_amount": 100,
  "delay_type": "days_after",
  "nb_days": 30,
  "days_next_month": 15
}'
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "value": "percent",
  "value_amount": 100,
  "delay_type": "days_after",
  "nb_days": 30,
  "days_next_month": 15
}),
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
    'json' => [
    'value' => 'percent',
    'value_amount' => 100,
    'delay_type' => 'days_after',
    'nb_days' => 30,
    'days_next_month' => 15,
  ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

payload = {
    "value": "percent",
    "value_amount": 100,
    "delay_type": "days_after",
    "nb_days": 30,
    "days_next_month": 15,
}

response = requests.put(url, headers=headers, json=payload)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "value": "percent",
    "value_amount": "100.0000",
    "delay_type": "days_after",
    "nb_days": 0,
    "days_next_month": "10",
    "payment_id": 1,
    "creator_id": 1,
    "created_at": "2026-10-09T09:50:40.000000Z",
    "updated_at": "2026-10-09T09:50:40.000000Z"
  },
  "message": "Payment due term updated successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Delete payment due term ​

DELETE /admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}

Delete a payment due term

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
payment_term_idintegerYesThe payment term ID
idintegerYesThe payment due term ID
bash
curl -X DELETE "https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/accounts/payment-terms/{payment_term_id}/due-terms/{id}"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "message": "Payment due term deleted successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Released under the MIT License.